---
- name: Set a hostname
  ansible.builtin.hostname:
    name: "{{ hostname }}"

- name: Set Prompt
  ansible.builtin.template:
    src: prompt.sh.j2
    dest: /etc/profile.d/prompt.sh
    owner: root
    group: root
    mode: "0644"

# - name: Create users
#   ansible.builtin.include_tasks:
#     file: create_users.yml

- name: Syctl tuning
  ansible.builtin.include_tasks:
    file: sysctl_tuning.yml

# - name: Setup NIC to eth0
#   ansible.builtin.include_tasks:
#     file: set_network_nic.yml

- name: Setup NIC to eth0
  ansible.builtin.include_tasks:
    file: set_nic_names_eth.yml

- name: Install packages
  ansible.builtin.include_tasks:
    file: install_packages.yml

- name: Setup secutity options
  ansible.builtin.include_tasks:
    file: security_setup.yml

- name: Reboot System
  ansible.builtin.reboot:
    reboot_timeout: 60
  when: reboot_system is true
